You can subscribe to this list here.
| 2003 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
|
Oct
(202) |
Nov
(201) |
Dec
(280) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2004 |
Jan
(493) |
Feb
(106) |
Mar
(215) |
Apr
(163) |
May
(79) |
Jun
(193) |
Jul
(47) |
Aug
(71) |
Sep
(127) |
Oct
(41) |
Nov
(49) |
Dec
(120) |
| 2005 |
Jan
(147) |
Feb
(45) |
Mar
(26) |
Apr
(71) |
May
(52) |
Jun
(28) |
Jul
(92) |
Aug
(50) |
Sep
(35) |
Oct
(193) |
Nov
(106) |
Dec
(52) |
| 2006 |
Jan
(51) |
Feb
(38) |
Mar
(33) |
Apr
(79) |
May
(107) |
Jun
(67) |
Jul
(21) |
Aug
(65) |
Sep
(44) |
Oct
(87) |
Nov
(12) |
Dec
(56) |
| 2007 |
Jan
(48) |
Feb
(58) |
Mar
(63) |
Apr
(31) |
May
(25) |
Jun
(20) |
Jul
(72) |
Aug
(54) |
Sep
(30) |
Oct
(76) |
Nov
(74) |
Dec
(25) |
| 2008 |
Jan
(39) |
Feb
(39) |
Mar
(62) |
Apr
(64) |
May
(59) |
Jun
(31) |
Jul
(25) |
Aug
(25) |
Sep
(17) |
Oct
(24) |
Nov
|
Dec
(1) |
| 2009 |
Jan
(60) |
Feb
(39) |
Mar
(16) |
Apr
(30) |
May
(52) |
Jun
(35) |
Jul
(15) |
Aug
(15) |
Sep
(21) |
Oct
(32) |
Nov
(39) |
Dec
(52) |
| 2010 |
Jan
(42) |
Feb
(40) |
Mar
(23) |
Apr
(20) |
May
(27) |
Jun
(10) |
Jul
(30) |
Aug
(30) |
Sep
(66) |
Oct
(12) |
Nov
(35) |
Dec
(60) |
| 2011 |
Jan
(16) |
Feb
(1) |
Mar
(3) |
Apr
(28) |
May
(21) |
Jun
|
Jul
(12) |
Aug
(6) |
Sep
(10) |
Oct
(14) |
Nov
(40) |
Dec
(60) |
| 2012 |
Jan
(23) |
Feb
(17) |
Mar
(24) |
Apr
(18) |
May
(13) |
Jun
(1) |
Jul
|
Aug
(5) |
Sep
|
Oct
(5) |
Nov
(5) |
Dec
(15) |
| 2013 |
Jan
(2) |
Feb
(5) |
Mar
(1) |
Apr
(2) |
May
(2) |
Jun
(3) |
Jul
|
Aug
(3) |
Sep
(5) |
Oct
(3) |
Nov
(1) |
Dec
(1) |
| 2014 |
Jan
(3) |
Feb
(5) |
Mar
(8) |
Apr
(3) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
|
Sep
(4) |
Oct
(10) |
Nov
|
Dec
(9) |
| 2015 |
Jan
(18) |
Feb
(17) |
Mar
(5) |
Apr
(2) |
May
|
Jun
(5) |
Jul
(1) |
Aug
(2) |
Sep
(1) |
Oct
(24) |
Nov
(20) |
Dec
(41) |
| 2016 |
Jan
(9) |
Feb
(3) |
Mar
(2) |
Apr
(7) |
May
(8) |
Jun
(1) |
Jul
(6) |
Aug
(5) |
Sep
(2) |
Oct
(6) |
Nov
(1) |
Dec
(6) |
| 2017 |
Jan
(6) |
Feb
(1) |
Mar
|
Apr
(4) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
(2) |
Sep
|
Oct
|
Nov
|
Dec
|
|
From: <smi...@us...> - 2003-10-18 13:53:43
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1:/tmp/cvs-serv13642/scripts Modified Files: sagator Log Message: compile clamav before sagator Index: sagator =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/sagator,v retrieving revision 1.3 retrieving revision 1.4 diff -u -d -r1.3 -r1.4 --- sagator 13 Oct 2003 17:36:09 -0000 1.3 +++ sagator 18 Oct 2003 13:49:59 -0000 1.4 @@ -9,7 +9,7 @@ ### BEGIN INIT INFO # Provides: sagator -# Required-Start: $basebuildtools $libs Python +# Required-Start: $basebuildtools $libs Python clamav # Required-Stop: # Default-Start: 1 2 # Default-Stop: |
|
From: <bl...@us...> - 2003-10-17 21:03:48
|
Update of /cvsroot/devil-linux/build/scripts/scripts
In directory sc8-pr-cvs1:/tmp/cvs-serv1157/build/scripts/scripts
Modified Files:
pre_init
Added Files:
upgrade-config
Log Message:
Initial checkin of code to upgrade etc/config on boot
--- NEW FILE: upgrade-config ---
#!/bin/sh
TMPD=/shm/var/tmp/upd-etc.$$
TMPF=/shm/var/tmp/upd-tmp.$$
RESULT=/shm/var/tmp/upd-res.$$
RAMDISKDIR="/shm"
#DIALOG="dialog --clear --aspect 76 --no-shadow"
DIALOG="dialog --clear --no-shadow"
BACKTITLE="Devil-Linux configuration upgrade"
pause() {
echo
read -n 1 -p "Press any key to continue ..."
echo
}
setmenuheight () {
let width=$(stty size|cut -f2 -d' ')
let height2=$(stty size|cut -f1 -d' ')-1
let height=$height2-10
linecount=$(cat $TMPD|wc -l)
[ $height -gt $linecount ] && height=$linecount
}
if [ -e $RAMDISKDIR/newconfig ]; then
echo /shm/newconfig exists, please remove.
exit 1
fi
if [ ! -f /config/etc.tar.bz2 ]; then
echo Cannot find file: /config/etc.tar.bz2
exit 1
fi
for d in $RAMDISKDIR/etc $RAMDISKDIR/root
do
if [ ! -e "$d" ]; then
echo Cannot find directory: $d
exit 1
fi
done
rm -f $TMPD
cd $RAMDISKDIR
mkdir newconfig || exit 1
tar -xjf /config/etc.tar.bz2 -C newconfig
for f in $(find etc root -type f -print)
do
echo -n "."
[ $f = "etc/Devil-release" ] && continue
[ $f = "etc/issue" ] && continue
[ $f = "etc/issue.net" ] && continue
[ $f = "etc/mtab" ] && continue
[ $f = "etc/.pwd.lock" ] && continue
cmp -s $f newconfig/$f || echo $f \"\" off \"$f\" >> $TMPD
done
while true
do
setmenuheight
eval $DIALOG --title \"Select files to be copied to the new config\" --backtitle \"$BACKTITLE\" \
--item-help --help-button \
--checklist \"[un]select files to be kept with the SPACE BAR\" 0 $width $height \
$(sort $TMPD) 2> $RESULT
RETURN=$?
if [ $RETURN -eq 0 ]; then
if [ "$(head -n1 $RESULT|cut -c1-4)" = "HELP" ]; then
# Help button pressed
for f in $(cat $RESULT|cut -c5-)
do
if [ -f "newconfig/$f" ]; then
echo > $TMPF
ls -l "$f" "newconfig/$f" >> $TMPF
eval $DIALOG --title \"the files:\" \
--backtitle \"$BACKTITLE\" \
--item-help --help-button \
--textbox "$TMPF" $height2 $width
echo > $TMPF
diff -u "$f" "newconfig/$f" >> $TMPF
eval $DIALOG --title \"running diff on the files:\" \
--backtitle \"$BACKTITLE\" \
--item-help --help-button \
--textbox "$TMPF" $height2 $width
rm -f $TMPF
eval $DIALOG --title \"the old/original file:\" \
--backtitle \"$BACKTITLE\" \
--item-help --help-button \
--textbox "$f" $height2 $width
eval $DIALOG --title \"the NEW file:\" \
--backtitle \"$BACKTITLE\" \
--item-help --help-button \
--textbox "newconfig/$f" $height2 $width
else
echo > $TMPF
ls -l "$f" >> $TMPF
eval $DIALOG --title \"the old/original file:\" \
--backtitle \"$BACKTITLE\" \
--item-help --help-button \
--textbox "$TMPF" $height2 $width
rm -f $TMPF
eval $DIALOG --title \"the old/original file\" \
--backtitle \"$BACKTITLE\" \
--item-help --help-button \
--textbox "$f" $height2 $width
fi
done
else
# OK button pressed
for f in $(cat $RESULT)
do
eval p=$f
d="$(dirname newconfig/$p)"
[ ! -d $d ] && mkdir -p $d
# echo cp -af $p newconfig/$p
echo "keeping file: $p"
cp -af $p newconfig/$p
done
break
fi
else
# Cancel button pressed
break
fi
done
rm -fr $TMPD $RESULT
Index: pre_init
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/scripts/pre_init,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -d -r1.7 -r1.8
--- pre_init 9 Oct 2003 00:14:08 -0000 1.7
+++ pre_init 17 Oct 2003 21:00:51 -0000 1.8
@@ -46,9 +46,14 @@
mount -o remount,size=$CHANGE_SHMFS_SIZE /shm
fi
+# unpack /var to the shmfs
+echo "Unpacking /var"
+tar -C /shm/ -xjf /config/var.tar.bz2
+
if [ -d /config/etc_files ]; then
if ! cmp -s /shm/etc/Devil-release /config/etc_files/Devil-release
then
+ cp -f /config/etc_files/issue* /etc
RV1="$(cat /shm/etc/Devil-release | sed 's/Devil-Linux //')"
RV2="$(cat /config/etc_files/Devil-release | sed 's/Devil-Linux //')"
echo
@@ -62,22 +67,54 @@
echo "Your media is version: $RV1"
echo "Your cdrom is version: $RV2"
$NORMAL
+
+ #export LINES=$(stty size|cut -f1 -d' ')
+ #export COLUMNS=$(stty size|cut -f2 -d' ')
+ #export PS1='> '
+ #export PS2='> '
+
echo
- echo 'Running "save-config" will eliminate this error message in future reboots,'
- echo "but will NOT fix any problems caused by old configuration files."
- echo
- read -n 1 -t 60 -p "Press any key to continue ... (or timeout in 60 seconds)"
+ read -n 1 -t 300 -p 'Press "y" to upgrade now, or any key to skip ... (timeout in 5 minutes)' bs
echo
+ if [ "$bs" = "y" ]; then
+ echo
+ echo -n "Comparing configurations, please wait "
+ /sbin/upgrade-config
+ echo
+ read -n 1 -t 300 -p 'Press "y" to switch to your new config ... (timeout in 5 minutes)' bs
+ echo
+ if [ "$bs" = "y" ]; then
+ cp -f /config/etc_files/* /shm/newconfig/etc/
+ cp -f /shm/etc/mtab /shm/newconfig/etc/
+ mv /shm/etc /shm/etc-old
+ mv /shm/newconfig/etc/ /shm/etc
+ $YELLOW
+ echo
+ echo 'You MUST run "save-config" after bootup to save your new config'
+ echo
+ $NORMAL
+ echo 'Your old etc directory will be saved until reboot at: /shm/etc-old'
+ echo
+ read -n 1 -t 300 -p 'Press any key to continue ... (timeout in 5 minutes)'
+ echo
+ else
+ rm -fr /shm/newconfig
+ $YELLOW
+ echo
+ echo
+ echo 'No changes made.'
+ echo
+ $NORMAL
+ read -n 1 -t 300 -p 'Press any key to continue ... (timeout in 5 minutes)'
+ echo
+ fi
+ fi
+ unset bs
fi
- cp -fdR /config/etc_files/* /etc
fi
# make sure, all the files in /etc are owned by root
chown -R 0.0 /shm/etc/*
-
-# unpack /var to the shmfs
-echo "Unpacking /var"
-tar -C /shm/ -xjf /config/var.tar.bz2
echo "Initializing devfs"
mount -t devfs none /dev
|
|
From: <bl...@us...> - 2003-10-17 21:02:07
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1:/tmp/cvs-serv1157/build/scripts Modified Files: copy_base Log Message: Initial checkin of code to upgrade etc/config on boot Index: copy_base =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/copy_base,v retrieving revision 1.18 retrieving revision 1.19 diff -u -d -r1.18 -r1.19 --- copy_base 13 Oct 2003 17:36:08 -0000 1.18 +++ copy_base 17 Oct 2003 21:00:51 -0000 1.19 @@ -47,6 +47,7 @@ cp -p $DL_DIR/docs/LICENSE $CDDIR || exit 1 cp -p $MYDIR/scripts/save-config $CDDIR/bin || exit 1 cp -p $MYDIR/scripts/setup $CDDIR/bin || exit 1 + cp -p $MYDIR/scripts/upgrade-config $CDDIR/sbin || exit 1 cp -p $MYDIR/scripts/pre_init $CDDIR/sbin || exit 1 cp -p $MYDIR/scripts/software-help $CDDIR/usr/share/devillinux || exit 1 cp -p $MYDIR/scripts/keyboardmodels $CDDIR/usr/share/devillinux || exit 1 |
|
From: <bl...@us...> - 2003-10-17 21:01:58
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv1157/build Modified Files: CHANGES Log Message: Initial checkin of code to upgrade etc/config on boot Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.527 retrieving revision 1.528 diff -u -d -r1.527 -r1.528 --- CHANGES 17 Oct 2003 13:07:59 -0000 1.527 +++ CHANGES 17 Oct 2003 21:00:51 -0000 1.528 @@ -23,6 +23,7 @@ # 1.1.1 +- added code to upgrade old etc/config on boot (bs) - updated netacct-mysql to 0.76 (Thomas Eder + bs) - added tiff v3.6.0 - added gd v2.0.15 @@ -35,7 +36,7 @@ - added Apache v2.0.47 - added expat library CVS version of 2003/10/14 - wrote a custom C patch for squid yp_auth authorization module to only - allow users included or excluded from a specified NIS group. (bs) +- allow users included or excluded from a specified NIS group. (bs) - added most basic squid authorization programs (bs) - added NIS (YP) tools, bind and serv (bs) - added RPC Portmapper - needed by NIS (bs) |
|
From: <smi...@us...> - 2003-10-17 13:50:27
|
Update of /cvsroot/devil-linux/build/scripts
In directory sc8-pr-cvs1:/tmp/cvs-serv5750/scripts
Modified Files:
cyrus-imapd php
Log Message:
more changes to get PHP finally working
Index: cyrus-imapd
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/cyrus-imapd,v
retrieving revision 1.19
retrieving revision 1.20
diff -u -d -r1.19 -r1.20
--- cyrus-imapd 13 Oct 2003 17:36:08 -0000 1.19
+++ cyrus-imapd 17 Oct 2003 13:43:39 -0000 1.20
@@ -37,6 +37,9 @@
# parallel build fails, do not use $PMAKE
make all DESTDIR=$WORKDIR/tmp || exit 1
strip_debug
+
+ #install it, we need it later
+ make install || exit 1
fi
;;
@@ -44,7 +47,7 @@
if [ "$CONFIG_CYRUS_IMAPD" = "y" ]; then
rm -rf $WORKDIR/tmp || exit 1
mkdir -p $WORKDIR/tmp || exit 1
-
+
# we need this hack to install the perl stuff
pushd perl/imap
perl Makefile.PL PREFIX=$WORKDIR/tmp/usr
@@ -55,7 +58,7 @@
pushd perl/sieve/managesieve
perl Makefile.PL PREFIX=$WORKDIR/tmp/usr
popd
-
+
make install DESTDIR=$WORKDIR/tmp || exit 1
rm -rf $WORKDIR/tmp/usr/include || exit 1
Index: php
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/php,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -d -r1.2 -r1.3
--- php 16 Oct 2003 02:28:36 -0000 1.2
+++ php 17 Oct 2003 13:43:40 -0000 1.3
@@ -33,6 +33,7 @@
--with-jpeg-dir=/usr --enable-dba --with-gdbm --with-db4 --with-inifile --with-flatfile --with-dom --with-dom-xslt \
--with-config-file-path=/etc --with-dom-exslt --enable-ftp --with-gd --with-gmp --with-kerberos \
--enable-gd-native-ttf --with-ldap --with-mcrypt --with-mhash --with-msession--with-pgsql --with-snmp \
+ --with-cyrus \
--sysconfdir=/etc --with-config-file-path=/etc --prefix=/usr || exit 1
# not working --with-imap --with-imap-ssl --enable-xslt
make $PMAKE all || exit 1
@@ -46,22 +47,16 @@
mkdir -p $WORKDIR/tmp/etc
cp -dpR $ETCDIR/etc/apache2 $WORKDIR/tmp/etc
make install INSTALL_ROOT=$WORKDIR/tmp
- exit 1
- rm -rf $WORKDIR/tmp/etc/apache2/build || exit 1
- rm -rf $WORKDIR/tmp/usr/lib/*a || exit 1
+ replace_str $WORKDIR/tmp/etc/apache2/httpd.conf ${WORKDIR#*/}/tmp/usr /usr
+ rm $WORKDIR/tmp/etc/apache2/httpd.conf.bak
+ rm $WORKDIR/tmp/etc/apache2/httpd.conf.old
+ cp -dp $WORKDIR/tmp/etc/apache2/httpd.conf $ETCDIR/etc/apache2/
rm -rf $WORKDIR/tmp/usr/include || exit 1
cp -dpR $WORKDIR/tmp/etc/* $ETCDIR/etc/ || exit 1
- rm -rf $WORKDIR/tmp/etc
copy_docs $WORKDIR/tmp/
- cp -dpR $WORKDIR/tmp/* $CDDIR || exit 1
+ cp -dpR $WORKDIR/tmp/usr/* $CDDIR/usr/ || exit 1
rm -rf $WORKDIR/tmp || exit 1
- cp $MYDIR/scripts/httpd $ETCDIR/etc/init.d || exit 1
-
- echo "# Start $MYNAME?" >> $CONFIGFILE
- echo "START_$MYNAME=no" >> $CONFIGFILE
- echo >> $CONFIGFILE
- echo "HELP_$MYNAME=\"this is the well know Apache Web server\"" >> $SOFTWAREHELP
fi
;;
|
|
From: <bl...@us...> - 2003-10-17 13:13:01
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv30740 Modified Files: CHANGES Log Message: Updated netacct-mysql to 0.76 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.526 retrieving revision 1.527 diff -u -d -r1.526 -r1.527 --- CHANGES 17 Oct 2003 00:38:55 -0000 1.526 +++ CHANGES 17 Oct 2003 13:07:59 -0000 1.527 @@ -23,6 +23,7 @@ # 1.1.1 +- updated netacct-mysql to 0.76 (Thomas Eder + bs) - added tiff v3.6.0 - added gd v2.0.15 - added libpng v1.2.5 |
|
From: <smi...@us...> - 2003-10-17 00:41:59
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv15059 Modified Files: CHANGES Log Message: spelling error Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.525 retrieving revision 1.526 diff -u -d -r1.525 -r1.526 --- CHANGES 16 Oct 2003 17:49:30 -0000 1.525 +++ CHANGES 17 Oct 2003 00:38:55 -0000 1.526 @@ -41,7 +41,7 @@ - added tcp_wrappers - needed by portmapper (bs) 1.0-RC 3 -- uploaded loadlin.exe to version 16c to work with newer kernels (bs) +- updated loadlin.exe to version 16c to work with newer kernels (bs) - fixed ISC_BIND to allow zone transfers (bs) 1.0-RC 2 |
|
From: <smi...@us...> - 2003-10-17 00:41:53
|
Update of /cvsroot/devil-linux/build
In directory sc8-pr-cvs1:/tmp/cvs-serv15009
Modified Files:
Tag: rel-1-0-patches
CHANGES
Log Message:
spelling error
Index: CHANGES
===================================================================
RCS file: /cvsroot/devil-linux/build/CHANGES,v
retrieving revision 1.510.2.9
retrieving revision 1.510.2.10
diff -u -d -r1.510.2.9 -r1.510.2.10
--- CHANGES 16 Oct 2003 17:49:52 -0000 1.510.2.9
+++ CHANGES 17 Oct 2003 00:38:22 -0000 1.510.2.10
@@ -23,7 +23,7 @@
#
1.0-RC 3
-- uploaded loadlin.exe to version 16c to work with newer kernels (bs)
+- updated loadlin.exe to version 16c to work with newer kernels (bs)
- fixed ISC_BIND to allow zone transfers (bs)
1.0-RC 2
|
|
From: <bl...@us...> - 2003-10-16 17:49:56
|
Update of /cvsroot/devil-linux/build
In directory sc8-pr-cvs1:/tmp/cvs-serv29700/build
Modified Files:
Tag: rel-1-0-patches
CHANGES
Log Message:
fixed ISC_BIND to allow zone transfers
Index: CHANGES
===================================================================
RCS file: /cvsroot/devil-linux/build/CHANGES,v
retrieving revision 1.510.2.8
retrieving revision 1.510.2.9
diff -u -d -r1.510.2.8 -r1.510.2.9
--- CHANGES 15 Oct 2003 13:24:18 -0000 1.510.2.8
+++ CHANGES 16 Oct 2003 17:49:52 -0000 1.510.2.9
@@ -24,6 +24,7 @@
1.0-RC 3
- uploaded loadlin.exe to version 16c to work with newer kernels (bs)
+- fixed ISC_BIND to allow zone transfers (bs)
1.0-RC 2
- modified firewall scripts to flush/zero/delete chains from all tables (bs)
|
|
From: <bl...@us...> - 2003-10-16 17:49:56
|
Update of /cvsroot/devil-linux/build/config/etc/sysconfig/jail
In directory sc8-pr-cvs1:/tmp/cvs-serv29700/build/config/etc/sysconfig/jail
Modified Files:
Tag: rel-1-0-patches
ISC_BIND
Log Message:
fixed ISC_BIND to allow zone transfers
Index: ISC_BIND
===================================================================
RCS file: /cvsroot/devil-linux/build/config/etc/sysconfig/jail/ISC_BIND,v
retrieving revision 1.6
retrieving revision 1.6.2.1
diff -u -d -r1.6 -r1.6.2.1
--- ISC_BIND 20 Aug 2003 19:15:35 -0000 1.6
+++ ISC_BIND 16 Oct 2003 17:49:52 -0000 1.6.2.1
@@ -31,3 +31,6 @@
# set Linux capabilities
#CAP CAP_NET_BIND_SERVICE
+
+# change directory ownership to permit zone transfers
+CHOWN named /etc/named
|
|
From: <bl...@us...> - 2003-10-16 17:49:42
|
Update of /cvsroot/devil-linux/build/config/etc/sysconfig/jail In directory sc8-pr-cvs1:/tmp/cvs-serv29529/build/config/etc/sysconfig/jail Modified Files: ISC_BIND Log Message: fixed ISC_BIND to allow zone transfers Index: ISC_BIND =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/sysconfig/jail/ISC_BIND,v retrieving revision 1.6 retrieving revision 1.7 diff -u -d -r1.6 -r1.7 --- ISC_BIND 20 Aug 2003 19:15:35 -0000 1.6 +++ ISC_BIND 16 Oct 2003 17:49:30 -0000 1.7 @@ -31,3 +31,6 @@ # set Linux capabilities #CAP CAP_NET_BIND_SERVICE + +# change directory ownership to permit zone transfers +CHOWN named /etc/named |
|
From: <bl...@us...> - 2003-10-16 17:49:42
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv29529/build Modified Files: CHANGES Log Message: fixed ISC_BIND to allow zone transfers Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.524 retrieving revision 1.525 diff -u -d -r1.524 -r1.525 --- CHANGES 16 Oct 2003 02:21:36 -0000 1.524 +++ CHANGES 16 Oct 2003 17:49:30 -0000 1.525 @@ -42,6 +42,7 @@ 1.0-RC 3 - uploaded loadlin.exe to version 16c to work with newer kernels (bs) +- fixed ISC_BIND to allow zone transfers (bs) 1.0-RC 2 - modified firewall scripts to flush/zero/delete chains from all tables (bs) |
|
From: <smi...@us...> - 2003-10-15 23:48:55
|
Update of /cvsroot/devil-linux/build/docs/documentation
In directory sc8-pr-cvs1:/tmp/cvs-serv19053/docs/documentation
Modified Files:
Tag: rel-1-0-patches
documentation.xml
Log Message:
added information about cvs branches
Index: documentation.xml
===================================================================
RCS file: /cvsroot/devil-linux/build/docs/documentation/documentation.xml,v
retrieving revision 1.43.2.2
retrieving revision 1.43.2.3
diff -u -d -r1.43.2.2 -r1.43.2.3
--- documentation.xml 11 Oct 2003 14:28:03 -0000 1.43.2.2
+++ documentation.xml 15 Oct 2003 23:48:52 -0000 1.43.2.3
@@ -815,6 +815,11 @@
<para><command>cvs -d:pserver:ano...@cv...:/cvsroot/devil-linux login </command></para>
<para><command>cvs -z3 -d:pserver:ano...@cv...:/cvsroot/devil-linux co build</command></para>
<para>You find now the build systetem in the sub directory build/ .</para>
+ <tip>
+ <para>If you don't want to use the latest development version (which is probably not stable or won't even compile), you have to add the -r parameter to the checkout command. You can see the list of available tags when you browse the CVS repository <ulink url="http://cvs.sourceforge.net/viewcvs.py/devil-linux/build/">http://cvs.sourceforge.net/viewcvs.py/devil-linux/build/</ulink>.</para>
+ <para>To get i.e. the stable 1.0.x release, use the following command:</para>
+ <para><command moreinfo="none">cvs -z3 -d:pserver:ano...@cv...:/cvsroot/devil-linux co -r rel-1-0-patches build</command></para>
+ </tip>
</sect3>
<sect3>
<title>Getting updates</title>
|
|
From: <smi...@us...> - 2003-10-15 23:48:22
|
Update of /cvsroot/devil-linux/build/docs/documentation
In directory sc8-pr-cvs1:/tmp/cvs-serv18930/docs/documentation
Modified Files:
documentation.xml
Log Message:
added information about cvs tags
Index: documentation.xml
===================================================================
RCS file: /cvsroot/devil-linux/build/docs/documentation/documentation.xml,v
retrieving revision 1.45
retrieving revision 1.46
diff -u -d -r1.45 -r1.46
--- documentation.xml 11 Oct 2003 14:27:15 -0000 1.45
+++ documentation.xml 15 Oct 2003 23:48:18 -0000 1.46
@@ -815,6 +815,11 @@
<para><command>cvs -d:pserver:ano...@cv...:/cvsroot/devil-linux login </command></para>
<para><command>cvs -z3 -d:pserver:ano...@cv...:/cvsroot/devil-linux co build</command></para>
<para>You find now the build systetem in the sub directory build/ .</para>
+ <tip>
+ <para>If you don't want to use the latest development version (which is probably not stable or won't even compile), you have to add the -r parameter to the checkout command. You can see the list of available tags when you browse the CVS repository <ulink url="http://cvs.sourceforge.net/viewcvs.py/devil-linux/build/">http://cvs.sourceforge.net/viewcvs.py/devil-linux/build/</ulink>.</para>
+ <para>To get i.e. the stable 1.0.x release, use the following command:</para>
+ <para><command moreinfo="none">cvs -z3 -d:pserver:ano...@cv...:/cvsroot/devil-linux co -r rel-1-0-patches build</command></para>
+ </tip>
</sect3>
<sect3>
<title>Getting updates</title>
|
|
From: <bl...@us...> - 2003-10-15 13:24:23
|
Update of /cvsroot/devil-linux/build/scripts/scripts
In directory sc8-pr-cvs1:/tmp/cvs-serv23418/build/scripts/scripts
Modified Files:
Tag: rel-1-0-patches
linux.bat
Log Message:
uploaded loadlin.exe to version 16c to work with newer kernels (bs)
Index: linux.bat
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/scripts/linux.bat,v
retrieving revision 1.2
retrieving revision 1.2.6.1
diff -u -d -r1.2 -r1.2.6.1
--- linux.bat 3 Apr 2002 16:54:36 -0000 1.2
+++ linux.bat 15 Oct 2003 13:24:18 -0000 1.2.6.1
@@ -1,2 +1,2 @@
-loadlin \boot\vmlinuz initrd=\boot\initrd.gz root=/dev/ram0 init=/linuxrc rw
+loadlin \boot\vmlinuz initrd=\boot\initrd.gz root=/dev/ram0 init=/linuxrc ramdisk_blocksize=4096
|
|
From: <bl...@us...> - 2003-10-15 13:24:23
|
Update of /cvsroot/devil-linux/build
In directory sc8-pr-cvs1:/tmp/cvs-serv23418/build
Modified Files:
Tag: rel-1-0-patches
CHANGES
Log Message:
uploaded loadlin.exe to version 16c to work with newer kernels (bs)
Index: CHANGES
===================================================================
RCS file: /cvsroot/devil-linux/build/CHANGES,v
retrieving revision 1.510.2.7
retrieving revision 1.510.2.8
diff -u -d -r1.510.2.7 -r1.510.2.8
--- CHANGES 11 Oct 2003 21:02:02 -0000 1.510.2.7
+++ CHANGES 15 Oct 2003 13:24:18 -0000 1.510.2.8
@@ -22,6 +22,9 @@
#
#
+1.0-RC 3
+- uploaded loadlin.exe to version 16c to work with newer kernels (bs)
+
1.0-RC 2
- modified firewall scripts to flush/zero/delete chains from all tables (bs)
- added setserial v2.17
|
|
From: <bl...@us...> - 2003-10-15 13:20:28
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs1:/tmp/cvs-serv22808/build/scripts/scripts Modified Files: linux.bat Log Message: uploaded loadlin.exe to version 16c to work with newer kernels (bs) Index: linux.bat =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/linux.bat,v retrieving revision 1.2 retrieving revision 1.3 diff -u -d -r1.2 -r1.3 --- linux.bat 3 Apr 2002 16:54:36 -0000 1.2 +++ linux.bat 15 Oct 2003 13:20:23 -0000 1.3 @@ -1,2 +1,2 @@ -loadlin \boot\vmlinuz initrd=\boot\initrd.gz root=/dev/ram0 init=/linuxrc rw +loadlin \boot\vmlinuz initrd=\boot\initrd.gz root=/dev/ram0 init=/linuxrc ramdisk_blocksize=4096 |
|
From: <bl...@us...> - 2003-10-15 13:20:28
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv22808/build Modified Files: CHANGES Log Message: uploaded loadlin.exe to version 16c to work with newer kernels (bs) Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.522 retrieving revision 1.523 diff -u -d -r1.522 -r1.523 --- CHANGES 14 Oct 2003 20:47:03 -0000 1.522 +++ CHANGES 15 Oct 2003 13:20:23 -0000 1.523 @@ -35,6 +35,9 @@ - added RPC Portmapper - needed by NIS (bs) - added tcp_wrappers - needed by portmapper (bs) +1.0-RC 3 +- uploaded loadlin.exe to version 16c to work with newer kernels (bs) + 1.0-RC 2 - modified firewall scripts to flush/zero/delete chains from all tables (bs) - added setserial v2.17 |
|
From: <smi...@us...> - 2003-10-15 12:22:32
|
Update of /cvsroot/devil-linux/build/scripts
In directory sc8-pr-cvs1:/tmp/cvs-serv13156/scripts
Modified Files:
build.sh nasm
Log Message:
some more cleanup
nasm needs to be compiled earlier
Index: build.sh
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/build.sh,v
retrieving revision 1.57
retrieving revision 1.58
diff -u -d -r1.57 -r1.58
--- build.sh 13 Oct 2003 17:36:07 -0000 1.57
+++ build.sh 15 Oct 2003 12:22:25 -0000 1.58
@@ -163,19 +163,6 @@
rm -rf $DL_DIR/scripts/.buildorder &> /dev/null
mkdir -p $DL_DIR/scripts/.buildorder/rc{S,0,1,2,3,4,5,6}.d
- #for SCRIPT in $(grep -l "# DL-build-system v3" $DL_DIR/scripts/* | grep -v "build\.sh" | grep -v "build-order")
- #do
- # SCRIPT=${SCRIPT##/*/}
- # ln -sf ../$SCRIPT $DL_DIR/scripts/.buildorder/rc0.d/S01$SCRIPT
- # ln -sf ../$SCRIPT $DL_DIR/scripts/.buildorder/rc1.d/S01$SCRIPT
- # ln -sf ../$SCRIPT $DL_DIR/scripts/.buildorder/rc2.d/S01$SCRIPT
- # ln -sf ../$SCRIPT $DL_DIR/scripts/.buildorder/rc3.d/S01$SCRIPT
- # ln -sf ../$SCRIPT $DL_DIR/scripts/.buildorder/rc4.d/S01$SCRIPT
- # ln -sf ../$SCRIPT $DL_DIR/scripts/.buildorder/rc5.d/S01$SCRIPT
- # ln -sf ../$SCRIPT $DL_DIR/scripts/.buildorder/rc6.d/S01$SCRIPT
- # ln -sf ../$SCRIPT $DL_DIR/scripts/.buildorder/$SCRIPT
- #done
-
test -e /etc/insserv.conf && cp -f /etc/insserv.conf /etc/insserv.conf.dlbak || exit 1
cp -f $DL_DIR/scripts/config/buildorder.conf /etc/insserv.conf || exit 1
@@ -188,8 +175,6 @@
#grep -L "# DL-build-system v3" $DL_DIR/scripts/.buildorder/* | grep -v "build\.sh" 2> /dev/null
test -e /etc/insserv.conf.dlbak && cp -f /etc/insserv.conf.dlbak /etc/insserv.conf || exit 1
-
- #insserv -d $DL_DIR/scripts/.buildorder || exit 1
# do some cleanup, we don't need the K* scripts and they're confusing when you look for problems
find $DL_DIR/scripts/.buildorder/rc{S,0,1,2,3,4,5,6}.d -name "K*" | xargs rm &> /dev/null
Index: nasm
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/nasm,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -d -r1.8 -r1.9
--- nasm 13 Oct 2003 17:36:08 -0000 1.8
+++ nasm 15 Oct 2003 12:22:26 -0000 1.9
@@ -10,7 +10,7 @@
### BEGIN INIT INFO
# Provides: nasm
-# Required-Start: $basebuildtools $libs
+# Required-Start: gcc binutils libtool
# Required-Stop:
# Default-Start: 1
# Default-Stop:
@@ -29,7 +29,7 @@
./configure --prefix=/usr || exit 1
make $PMAKE all || exit 1
strip_debug
-
+
# we have to install this immediately, because this is program could be needed by other sources
make install || exit 1
;;
|
|
From: <smi...@us...> - 2003-10-15 12:22:32
|
Update of /cvsroot/devil-linux/build/scripts/config In directory sc8-pr-cvs1:/tmp/cvs-serv13156/scripts/config Modified Files: buildorder.conf Log Message: some more cleanup nasm needs to be compiled earlier Index: buildorder.conf =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/config/buildorder.conf,v retrieving revision 1.2 retrieving revision 1.3 diff -u -d -r1.2 -r1.3 --- buildorder.conf 14 Oct 2003 02:04:31 -0000 1.2 +++ buildorder.conf 15 Oct 2003 12:22:26 -0000 1.3 @@ -4,7 +4,7 @@ $libs glibc uclibc gmp ncurses zlib ncurses popt readline libol db-4 libxml2 libusb libpcap libjpeg lzo cyrus-sasl bzip2 opt gdbm glib pkgconfig fam libmcrypt libgcrypt openldap pwlib attr acl krb5 wvstreams postgresql mysql gnupg mcrypt mhash tcp_wrappers expat -$basebuildtools distcc gcc bison makedepend libtool binutils +$basebuildtools distcc gcc bison makedepend libtool binutils nasm $installbase prepare create_cd_dirs create_etc |
|
From: <smi...@us...> - 2003-10-15 01:58:08
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1:/tmp/cvs-serv16522/scripts Modified Files: linux Log Message: make sure patches are all done before kernel Index: linux =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/linux,v retrieving revision 1.42 retrieving revision 1.43 diff -u -d -r1.42 -r1.43 --- linux 13 Oct 2003 17:36:08 -0000 1.42 +++ linux 15 Oct 2003 01:58:02 -0000 1.43 @@ -10,12 +10,11 @@ ### BEGIN INIT INFO # Provides: linux -# Required-Start: $basebuildtools $libs +# Required-Start: $basebuildtools $libs pptp-patches grsecurity xfsprogs LVM patch-o-matic freeswan bridge-utils lm_sensors iproute2 watchdog MOSKRN iptables # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: description -#pptp-patches grsecurity xfsprogs LVM patch-o-matic freeswan bridge-utils lm_sensors iproute2 watchdog MOSKRN iptables ### END INIT INFO # get the directoryname of the script |
|
From: <smi...@us...> - 2003-10-14 20:47:07
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1:/tmp/cvs-serv25635/scripts Modified Files: expat pwlib Log Message: fixed some incompatabilities (or however you write this...) Index: expat =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/expat,v retrieving revision 1.1 retrieving revision 1.2 diff -u -d -r1.1 -r1.2 --- expat 14 Oct 2003 02:04:31 -0000 1.1 +++ expat 14 Oct 2003 20:47:03 -0000 1.2 @@ -26,6 +26,7 @@ case $1 in build ) + ./buildconf.sh || exit 1 ./configure --prefix=/usr --localstatedir=/var || exit 1 make $PMAKE all || exit 1 strip_debug Index: pwlib =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/pwlib,v retrieving revision 1.8 retrieving revision 1.9 diff -u -d -r1.8 -r1.9 --- pwlib 13 Oct 2003 17:36:09 -0000 1.8 +++ pwlib 14 Oct 2003 20:47:03 -0000 1.9 @@ -12,7 +12,7 @@ ### BEGIN INIT INFO # Provides: pwlib -# Required-Start: $basebuildtools glibc +# Required-Start: $basebuildtools glibc expat # Required-Stop: # Default-Start: 1 # Default-Stop: |
|
From: <smi...@us...> - 2003-10-14 20:47:07
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv25635 Modified Files: CHANGES Log Message: fixed some incompatabilities (or however you write this...) Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.521 retrieving revision 1.522 diff -u -d -r1.521 -r1.522 --- CHANGES 11 Oct 2003 21:00:42 -0000 1.521 +++ CHANGES 14 Oct 2003 20:47:03 -0000 1.522 @@ -23,6 +23,11 @@ # 1.1.1 +- updated pwlib to v1.5.2 +- updated GNUGK to v2.0.6 +- updated OpenH323 to v1.12.2 +- added Apache v2.0.47 +- added expat library CVS version of 2003/10/14 - wrote a custom C patch for squid yp_auth authorization module to only allow users included or excluded from a specified NIS group. (bs) - added most basic squid authorization programs (bs) |
|
From: <smi...@us...> - 2003-10-14 02:04:36
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1:/tmp/cvs-serv26230 Added Files: expat httpd Log Message: initial checkin of apache2 and expat --- NEW FILE: expat --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/expat,v $ # $Revision: 1.1 $ # $Date: 2003/10/14 02:04:31 $ # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: expat # Required-Start: $basebuildtools glibc # Required-Stop: # Default-Start: 1 # Default-Stop: # Description: description ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings source $MYDIR/functions case $1 in build ) ./configure --prefix=/usr --localstatedir=/var || exit 1 make $PMAKE all || exit 1 strip_debug # install it in local system, because other programs could need it make install ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac --- NEW FILE: httpd --- #!/bin/bash # $Source: /cvsroot/devil-linux/build/scripts/httpd,v $ # $Revision: 1.1 $ # $Date: 2003/10/14 02:04:31 $ # # http://www.devil-linux.org # you need the next line, otherwise script won't be executed !!! # DL-build-system v3 ### BEGIN INIT INFO # Provides: httpd # Required-Start: $basebuildtools $libs # Required-Stop: # Default-Start: 1 2 # Default-Stop: # Description: description ### END INIT INFO # get the directoryname of the script MYDIR=${0%/*} # source functions and config source $MYDIR/settings source $MYDIR/functions MYNAME=APACHE2 case $1 in build ) if [ "$CONFIG_HTTPD" = "y" ]; then ./configure --enable-v4-mapped --enable-auth-anon --enable-auth-dbm --enable-auth-digest \ --enable-case-filter --enable-case-filter-in --enable-ext-filter \ --enable-deflate --enable-logio --enable-mime-magic --enable-cern-meta --enable-expires --enable-headers \ --enable-usertrack --enable-unique-id --enable-proxy --enable-proxy-connect --enable-proxy-ftp --enable-proxy-http \ --enable-ssl=shared --enable-bucketeer --enable-http --enable-info --enable-cgi --enable-cgi --enable-vhost-alias \ --enable-rewrite --enable-so --enable-dav --enable-dav-fs \ --enable-mods-shared=all --enable-suexec --with-suexec-caller=www \ --enable-layout=Debian || exit 1 # not working --enable-ldap --enable-auth-ldap --enable-mem-cache make $PMAKE all || exit 1 strip_debug # install it, we need the libraries later make install || exit 1 fi ;; install ) if [ "$CONFIG_HTTPD" = "y" ]; then rm -rf $WORKDIR/tmp make install DESTDIR=$WORKDIR/tmp rm -rf $WORKDIR/tmp/etc/apache2/build || exit 1 rm -rf $WORKDIR/tmp/usr/lib/*a || exit 1 rm -rf $WORKDIR/tmp/usr/include || exit 1 cp -dpR $WORKDIR/tmp/etc/* $ETCDIR/etc/ || exit 1 rm -rf $WORKDIR/tmp/etc copy_docs $WORKDIR/tmp/ cp -dpR $WORKDIR/tmp/* $CDDIR || exit 1 rm -rf $WORKDIR/tmp || exit 1 cp $MYDIR/scripts/httpd $ETCDIR/etc/init.d || exit 1 echo "# Start $MYNAME?" >> $CONFIGFILE echo "START_$MYNAME=no" >> $CONFIGFILE echo >> $CONFIGFILE echo "HELP_$MYNAME=\"this is the well know Apache Web server\"" >> $SOFTWAREHELP fi ;; * ) echo "ERROR ($0)" echo "please add parameter so I know what to do" exit 1 ;; esac |
|
From: <smi...@us...> - 2003-10-14 02:04:36
|
Update of /cvsroot/devil-linux/build/scripts/config In directory sc8-pr-cvs1:/tmp/cvs-serv26230/config Modified Files: buildorder.conf Log Message: initial checkin of apache2 and expat Index: buildorder.conf =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/config/buildorder.conf,v retrieving revision 1.1 retrieving revision 1.2 diff -u -d -r1.1 -r1.2 --- buildorder.conf 13 Oct 2003 17:36:10 -0000 1.1 +++ buildorder.conf 14 Oct 2003 02:04:31 -0000 1.2 @@ -2,7 +2,7 @@ # All local filesystems are mounted (done during boot phase) # -$libs glibc uclibc gmp ncurses zlib ncurses popt readline libol db-4 libxml2 libusb libpcap libjpeg lzo cyrus-sasl bzip2 opt gdbm glib pkgconfig fam libmcrypt libgcrypt openldap pwlib attr acl krb5 wvstreams postgresql mysql gnupg mcrypt mhash tcp_wrappers +$libs glibc uclibc gmp ncurses zlib ncurses popt readline libol db-4 libxml2 libusb libpcap libjpeg lzo cyrus-sasl bzip2 opt gdbm glib pkgconfig fam libmcrypt libgcrypt openldap pwlib attr acl krb5 wvstreams postgresql mysql gnupg mcrypt mhash tcp_wrappers expat $basebuildtools distcc gcc bison makedepend libtool binutils |